Skip to main content
DELETE
/
api
/
v2
/
chatbots
/
{chatbotId}
/
knowledge
/
sources
/
{connectionId}
Revoke data source
curl --request DELETE \
  --url https://sitegpt.ai/api/v2/chatbots/{chatbotId}/knowledge/sources/{connectionId} \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": {
    "source": {
      "id": "source-id",
      "name": "Example source",
      "createdAt": "2026-05-13T00:00:00.000Z"
    }
  },
  "meta": {
    "requestId": "request-id"
  }
}

Documentation Index

Fetch the complete documentation index at: https://sitegpt.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required
connectionId
string
required

Query Parameters

confirm
boolean

Required true for destructive actions.

Response

Successful SiteGPT API v2 response.

ok
boolean
required
data
object
required
meta
object
required